> For the complete documentation index, see [llms.txt](https://docs.sigrex.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sigrex.io/api-reference/reference/exchanges.md).

# Exchanges

## GET /api/v2/exchange

> Get all exchanges with optional filtering

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"exchanges"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{"Exchange":{"type":"object","properties":{"id":{"type":"number","description":"Exchange identifier"},"type":{"type":"string","description":"Exchange type e.g. CEX, DEX, PREDICTION"},"name":{"type":"string","description":"Exchange name e.g. Binance"},"service":{"type":"string","description":"Exchange service e.g. spot, futures"},"enabled":{"type":"boolean","description":"Whether the exchange is enabled"},"hasExchangeRate":{"type":"boolean","description":"Whether the exchange provides exchange rates to the system"},"extra":{"type":"boolean","description":"Whether the exchange API keys need extra information other than the API key and secret"}}}}},"paths":{"/api/v2/exchange":{"get":{"summary":"Get all exchanges with optional filtering","tags":["exchanges"],"parameters":[{"in":"query","name":"enabled","schema":{"type":"boolean"},"description":"Filter by enabled status"},{"in":"query","name":"chainId","schema":{"type":"string"},"description":"Filter by blockchain chain ID"}],"responses":{"200":{"description":"List of exchanges","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Exchange"}}}}},"500":{"description":"Internal server error"}}}}}}
```

## GET /api/v2/exchange/cex

> Get all CEX exchanges

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"exchanges"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{"Exchange":{"type":"object","properties":{"id":{"type":"number","description":"Exchange identifier"},"type":{"type":"string","description":"Exchange type e.g. CEX, DEX, PREDICTION"},"name":{"type":"string","description":"Exchange name e.g. Binance"},"service":{"type":"string","description":"Exchange service e.g. spot, futures"},"enabled":{"type":"boolean","description":"Whether the exchange is enabled"},"hasExchangeRate":{"type":"boolean","description":"Whether the exchange provides exchange rates to the system"},"extra":{"type":"boolean","description":"Whether the exchange API keys need extra information other than the API key and secret"}}}}},"paths":{"/api/v2/exchange/cex":{"get":{"summary":"Get all CEX exchanges","tags":["exchanges"],"responses":{"200":{"description":"List of enabled CEX exchanges","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Exchange"}}}}},"500":{"description":"Internal server error"}}}}}}
```

## GET /api/v2/exchange/dex/{chain}

> Get all DEX exchanges by chain ID

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"exchanges"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{"Exchange":{"type":"object","properties":{"id":{"type":"number","description":"Exchange identifier"},"type":{"type":"string","description":"Exchange type e.g. CEX, DEX, PREDICTION"},"name":{"type":"string","description":"Exchange name e.g. Binance"},"service":{"type":"string","description":"Exchange service e.g. spot, futures"},"enabled":{"type":"boolean","description":"Whether the exchange is enabled"},"hasExchangeRate":{"type":"boolean","description":"Whether the exchange provides exchange rates to the system"},"extra":{"type":"boolean","description":"Whether the exchange API keys need extra information other than the API key and secret"}}}}},"paths":{"/api/v2/exchange/dex/{chain}":{"get":{"summary":"Get all DEX exchanges by chain ID","tags":["exchanges"],"parameters":[{"in":"path","name":"chain","required":true,"schema":{"type":"string"},"description":"Blockchain chain ID"}],"responses":{"200":{"description":"List of DEX exchanges for the specified chain","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Exchange"}}}}},"400":{"description":"Missing chain ID"},"500":{"description":"Internal server error"}}}}}}
```

## GET /api/v2/exchange/prediction

> Get all Prediction exchanges

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"exchanges"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{"Exchange":{"type":"object","properties":{"id":{"type":"number","description":"Exchange identifier"},"type":{"type":"string","description":"Exchange type e.g. CEX, DEX, PREDICTION"},"name":{"type":"string","description":"Exchange name e.g. Binance"},"service":{"type":"string","description":"Exchange service e.g. spot, futures"},"enabled":{"type":"boolean","description":"Whether the exchange is enabled"},"hasExchangeRate":{"type":"boolean","description":"Whether the exchange provides exchange rates to the system"},"extra":{"type":"boolean","description":"Whether the exchange API keys need extra information other than the API key and secret"}}}}},"paths":{"/api/v2/exchange/prediction":{"get":{"summary":"Get all Prediction exchanges","tags":["exchanges"],"responses":{"200":{"description":"List of prediction exchanges","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Exchange"}}}}},"500":{"description":"Internal server error"}}}}}}
```

## GET /api/v2/exchange/with-exchange-rate

> Get all exchanges with exchange rates

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"exchanges"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{"Exchange":{"type":"object","properties":{"id":{"type":"number","description":"Exchange identifier"},"type":{"type":"string","description":"Exchange type e.g. CEX, DEX, PREDICTION"},"name":{"type":"string","description":"Exchange name e.g. Binance"},"service":{"type":"string","description":"Exchange service e.g. spot, futures"},"enabled":{"type":"boolean","description":"Whether the exchange is enabled"},"hasExchangeRate":{"type":"boolean","description":"Whether the exchange provides exchange rates to the system"},"extra":{"type":"boolean","description":"Whether the exchange API keys need extra information other than the API key and secret"}}}}},"paths":{"/api/v2/exchange/with-exchange-rate":{"get":{"summary":"Get all exchanges with exchange rates","tags":["exchanges"],"responses":{"200":{"description":"List of enabled exchanges with exchange rates","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Exchange"}}}}},"500":{"description":"Internal server error"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sigrex.io/api-reference/reference/exchanges.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
